import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsPopover as GdsPopoverClass } from "../../../components/popover/popover.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsPopover = (props) => {
  GdsPopoverClass.define();
  const JSXElement = getReactComponent("gds-popover");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsPopover.displayName = "GdsPopover";
export {
  GdsPopover
};
